iOS Question Using Hosted Builder for earlier versions of iOS

Alec Wadey

New Member
Licensed User
Hi all,

Second post of the day. I'm using the hosted builder and if I set the #MinVersion to anything other than 8 (or above), it gives me the following warning and then the build fails:

Build system information
warning: The iOS deployment target is set to 7.0, but the range of supported deployment target versions for this platform is 8.0 to 12.1. (in target 'B4iProject')

Unfortunately, that then means my wife can't download the app on her iPhone 7 when I deploy to HockeyApp. I guess that makes sense, but does that mean we can only build release apps for later than iPhone 7 models?

Thanks,

Al
 

Alec Wadey

New Member
Licensed User
Thanks Erel, however my wife's phone is running OS 12.3.1 so that should work right? I'm just concerned that we can't build for phones which are still used quite widely?
 

Alec Wadey

New Member
Licensed User
Just wanted to update this post for if others have similar issues. HockeyApp caused me to run down a rabbit hole when it said "This release is not available on your device". I then assumed that meant the version of the phone so changed the iOS Deployment target to 7 which failed to build as this is related to the iOS version NOT the device version as Erel said.

The ACTUAL issue was I hadn't built the app against a mobile provision that included my wife's iPhone UUID. I had only added the UUID to HockeyApp. Once I added it to Apple, downloaded the mobile provision and rebuilt the app everything worked fine!

Sorry for the confusion and a learning experience for me!

Al
 
Top